<script lang="ts" setup>
import { ref } from 'vue'

const fieldSet = ref<HTMLFieldSetElement | undefined>()
const isDirty = ref(false)
const validateForm = () => fieldSet.value?.reportValidity()
defineExpose({ validateForm, isDirty })
</script>

<template>
	<fieldset ref="fieldSet">
		<slot />
	</fieldset>
</template>
